%define name phpldapadmin
%define version 1.2.3
# betarelease is either 0 or something like rc1
%define betarelease 0
# rpmrelease is appended if betarelease != 0, otherwise becomes release
%define rpmrelease 1

%define webadminroot %{_datadir}/%{name}

Summary: Web Based LDAP Browser for Managing LDAP Server
Name: %{name}
Version: %{version}
%if %{betarelease}
Release: 0.%{betarelease}_%{rpmrelease}%{?dist}
%else
Release: %{rpmrelease}%{?dist}
%endif
License: GPLv2+
Group: Applications/Internet
URL: http://phpldapadmin.sourceforge.net/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
%if %{betarelease}
Source0: http://dl.sf.net/sourceforge/phpldapadmin/phpldapadmin-%{version}-%{betarelease}.tgz
%else
Source0: http://dl.sf.net/sourceforge/phpldapadmin/phpldapadmin-%{version}.tgz
%endif
Source1: phpldapadmin-apache2.conf
Patch0: phpldapadmin-1.2.2-config.patch
Requires: httpd, mod_php >= 5.0.6, php-ldap
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
phpLDAPadmin is a web-based tool for managing all aspects of your LDAP
server. It is powerful, easy to configure, and intuitive to use.
Since it is a web applciation, it makes your LDAP server manageable
on any platform and from any location. phpLDAPadmin is the perfect
LDAP administration tool for the LDAP professional and newbie alike.
Its target audience are LDAP server administrators, but others find
it useful as well.

%prep
%if %{betarelease}
%setup -q -n %{name}-%{version}-%{betarelease}
%else
%setup -q
%endif
%patch0 -p1

%build
%{__cp} -p config/config.php.example config/config.php
find . -depth -name "*.orig" -exec %{__rm} -f {} \;
find . -depth -name "CVS" -exec %{__rm} -rf {} \;
find . -depth -name ".cvsignore" -exec %{__rm} -rf {} \;

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_sysconfdir}/%{name}
%{__install} -d %{buildroot}%{webadminroot}

%{__cp} -rp * %{buildroot}%{webadminroot}/
%{__mv} -f %{buildroot}%{webadminroot}/config/* %{buildroot}/%{_sysconfdir}/%{name}/
%{__rm} -rf %{buildroot}%{webadminroot}/config
%{__ln_s} ../../..%{_sysconfdir}/%{name} %{buildroot}%{webadminroot}/config
%{__rm} -rf %{buildroot}%{webadminroot}/{INSTALL,LICENSE,doc}
%{__ln_s} ../../share/doc/%{name}-%{version} %{buildroot}%{webadminroot}/doc

# install the config file
%{__install} -d %{buildroot}%{_sysconfdir}/httpd/conf.d
%{__install} -m 0644 -p %{SOURCE1} \
  %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config %dir %{_sysconfdir}/%{name}
%attr(0640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{webadminroot}
%doc LICENSE doc/*

%changelog
* Fri Feb 21 2014 Simon Matter <simon.matter@invoca.ch> 1.2.3-1
- upgrade to 1.2.3

* Mon Dec 19 2011 Simon Matter <simon.matter@invoca.ch> 1.2.2-1
- upgrade to 1.2.2

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.2.0.5-2
- mass rebuild

* Wed Feb 03 2010 Simon Matter <simon.matter@invoca.ch> 1.2.0.5-1
- upgrade to 1.2.0.5

* Wed Apr 15 2009 Simon Matter <simon.matter@invoca.ch> 1.1.0.7-1
- upgrade to 1.1.0.7

* Fri Jan 23 2009 Simon Matter <simon.matter@invoca.ch> 1.1.0.6-1
- upgrade to 1.1.0.6

* Wed Jun 11 2008 Simon Matter <simon.matter@invoca.ch> 1.1.0.5-1
- upgrade to 1.1.0.5

* Wed Jun 11 2008 Simon Matter <simon.matter@invoca.ch> 0.9.8.4-2
- change license to GPLv2+
- make config symlink relative
- change permission of config file
- change apache2 config

* Wed Apr 11 2007 Simon Matter <simon.matter@invoca.ch> 0.9.8.4-1
- update to release 0.9.8.4

* Wed Aug 30 2006 Simon Matter <simon.matter@invoca.ch> 0.9.8.3-2
- move admin files to /usr/share...

* Mon May 29 2006 Simon Matter <simon.matter@invoca.ch> 0.9.8.3-1
- update to release 0.9.8.3

* Tue Mar 21 2006 Simon Matter <simon.matter@invoca.ch> 0.9.8.2-1
- update to release 0.9.8.2

* Fri Jan 20 2006 Simon Matter <simon.matter@invoca.ch> 0.9.8-1
- update to release 0.9.8
- add patch and PHP_Compat to make it work on PHP <= 4.2.0

* Wed Nov 16 2005 Simon Matter <simon.matter@invoca.ch> 0.9.7.2-1
- update to release 0.9.7.2

* Wed Nov 02 2005 Simon Matter <simon.matter@invoca.ch> 0.9.7.1-1
- update to release 0.9.7.1

* Wed Oct 26 2005 Simon Matter <simon.matter@invoca.ch> 0.9.7-1
- update to version 0.9.7
- patch the config file to make it more useful

* Fri May 13 2005 Simon Matter <simon.matter@invoca.ch>
- updated to version 0.9.6c

* Mon Apr 18 2005 Simon Matter <simon.matter@invoca.ch>
- updated to version 0.9.6b

* Wed Feb 02 2005 Simon Matter <simon.matter@invoca.ch>
- use the newly released 0.9.5 version from sf.net

* Mon Dec 20 2004 Simon Matter <simon.matter@invoca.ch>
- updated to version 0.9.5

* Wed May 12 2004 Simon Matter <simon.matter@invoca.ch>
- updated to version 0.9.4b

* Mon May 10 2004 Simon Matter <simon.matter@invoca.ch>
- updated to version 0.9.4a

* Tue May 04 2004 Simon Matter <simon.matter@invoca.ch>
- updated to version 0.9.4

* Wed Apr 21 2004 Simon Matter <simon.matter@invoca.ch>
- updated to CVS
- removed emuhash patch, it's now in CVS

* Wed Apr 07 2004 Simon Matter <simon.matter@invoca.ch>
- updated emuhash patch

* Tue Apr 06 2004 Simon Matter <simon.matter@invoca.ch>
- updated to CVS
- added emuhash patch

* Mon Mar 15 2004 Simon Matter <simon.matter@invoca.ch>
- fixed slappasswd call in slappasswd_hash()

* Thu Feb 12 2004 Simon Matter <simon.matter@invoca.ch>
- updated snapshot

* Thu Jan 27 2004 Simon Matter <simon.matter@invoca.ch>
- updated snapshot

* Thu Jan 15 2004 Simon Matter <simon.matter@invoca.ch>
- updated snapshot

* Sun Jan 11 2004 Simon Matter <simon.matter@invoca.ch>
- updated snapshot and small spec changes

* Sat Jan 10 2004 Simon Matter <simon.matter@invoca.ch>
- updated to CVS

* Fri Jan 09 2004 Simon Matter <simon.matter@invoca.ch>
- initial package
